Subject: Ticket Assigned - Delivery man misbehaved
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 03 Jan 2021 16:08:28 +0000

Hi Mohammad Humayun,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery man misbehaved  Hi, 

I’m writing this email to highlight the attitude of the deliver man who delivered these items at my home today. 

At 4:00 pm delivery man send me messages on watsapp for the location, I sent him location, picture of building entrance so he will not be confused, floor number and appartment number.

At 5:30pm he called me to come down as according to him that he is outside the building, I told him that I’m at duty (I’m a doctor ) and my housemaid cannot come down so he needs to go upstairs to deliver the parcel. He said he cannot as there is no building number, I said him that already I sent you picture of building entrance as there is no number on it. He said he don’t know anything as he can’t understand English so he cannot read my watsapp msgs because they were written in English??

When I said him that it’s just a picture of the building entrance what’s the thing he cannot understand? Then he send me pic on watsapp and said to me that is this the building, I said yes, he said tell me floor number and appartment number in Arabic. I said to him that I’m non-Arabic speaker I cannot tell you in Arabic, he said that if you are non-Arabic speaker then I’m non-English person and don’t give me orders like Manager???

What type of staff you have? Is it the way of dealing with customers? I strongly urge that this matter should be dealt deeply as this type of behaviour is unavoidable.
We are purchasing items from Centrepoint which doesn’t mean that it were given to us as free that I should tolerate this behaviour....

Your strict action is highly needed.

Thanks

Dr Asma Zeeshan Qazi 
 Internal Medicine
King Abdullah bin Abdulaziz University Hospital 
Princess Noura University, Riyadh, KSA
Email: [email-masked]
Mobile no: 00966 548761985 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1951838